#
# spec file for package loook
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           loook
Version:        0.9.0
Release:        1.8
Summary:        Search strings in ODF documents
License:        GPL-2.0-or-later
Group:          Productivity/Office/Other
URL:            https://mechtilde.de/Loook/
Source0:        http://mechtilde.de/Loook/Downloads/%{name}-%{version}.tar.gz
# PATCH-FEATURE-UPSTREAM loook-loook.desktop.patch (email)
Patch0:         %{name}-%{name}.desktop.patch
BuildRequires:  update-desktop-files
Requires:       python3-base
Requires:       python3-tk
BuildArch:      noarch

%description
This program is a program written in Python that searches for strings
in files created by OpenOffice.org, Apache OpenOffice, LibreOffice or
StarOffice 6.0 or higher. This is especially true for all documents
that were created in the Open Document Format. In addition, it can now
also search in documents created by Microsoft Word, Excel or PowerPoint
from the 2007 version in an OOXML format.

%prep
%autosetup -c

%build

%install
# install executables and mans
install -Dm 0755 %{name}.py %{buildroot}%{_datadir}/%{name}/%{name}.py
install -Dm 0644 man/de/%{name}.1 %{buildroot}%{_mandir}/de/man1/%{name}.1
install -Dm 0644 man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

# symlink executable
mkdir -p %{buildroot}%{_bindir}
ln -s %{_datadir}/%{name}/%{name}.py %{buildroot}%{_bindir}/%{name}

# install messages
for m in cs de en es fr it nl ; do
    msgfmt %{name}.${m}.po -o %{name}-%{version}.${m}.mo
    install -Dm 0644 %{name}-%{version}.${m}.mo %{buildroot}%{_datadir}/locale/${m}/LC_MESSAGES/%{name}-%{version}.mo
done
%find_lang %{name}-%{version} %{name}.lang

# install icon
install -Dm 0644 %{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# install Desktop file
install -Dm 0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%suse_update_desktop_file %{name}

%files -f %{name}.lang
%license Copyright
%doc Changelog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1%{?ext_man}
%lang (de) %{_mandir}/de/man1/%{name}.1%{?ext_man}

%changelog
* Wed May  4 2022 Christophe Giboudeaux <christophe@krop.fr>
- Update to 0.9.0
  * Make it fit for Python 3.9.x
* Wed Mar  9 2016 nemysis@openSUSE.org
- Update to 0.8.4, please see
  /usr/share/doc/packages/loook/Changelog
- Remove patch loook-0.8.1-loook.desktop.patch
- Add patch loook-loook.desktop.patch
* Wed Mar 25 2015 nemysis@gmx.ch
- Remove patch loook-0.8.0-loook.desktop.patch
- Add patch loook-0.8.1-loook.desktop.patch
* Sat Mar 14 2015 nemysis@gmx.ch
- Update to 0.8.1, announce message:
  Fixed Error handling
- Adjust patch loook-0.8.1-loook.desktop.patch
* Mon Jan  5 2015 nemysis@gmx.ch
- Use for patch %%{name}-0.8.0 instead of %%{name}-%%{version}
* Mon Jan  5 2015 nemysis@gmx.ch
- Change license GPL-2.0 to GPL-2.0+
* Thu Dec  4 2014 nemysis@gmx.ch
- Use %%if 0%%{?suse_version} instead of %%if 0%%{?suse_version} >= 1110
- Use %%{_datadir} instead of %%{_libexecdir}, because have get for
  SLE_11_SP3
  loook: "/usr/lib64/loook/loook.py" is not allowed in a noarch package
* Sun Nov 16 2014 nemysis@gmx.ch
- Use %%if 0%%{?suse_version} >= 1110 instead of %%if 0%%{?suse_version}
  fix for SLE_11_SP3
* Fri Nov 14 2014 nemysis@gmx.ch
- Fix typo, use right name for loook-0.8.0-loook.desktop.patch
* Tue Nov  4 2014 nemysis@gmx.ch
- Use for loook-0.8.0-loook.desktop.patch
  StartupNotify false instead of true
* Tue Nov  4 2014 nemysis@gmx.ch
- Initial package creation
